Bug 814408 - [as7] SocketBindingGroup Resources return Resource configs containing unset required props
[as7] SocketBindingGroup Resources return Resource configs containing unset r...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
urgent Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-19 15:43 EDT by Ian Springer
Modified: 2013-09-01 06:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:01:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2012-04-19 15:43:11 EDT
{{jboss-as-7}SocketBindingGroup=java.lang.Exception: Resource config is not valid: [Required property 'port:expr' has a null value in PropertyMap[id=0, name=binding, map={name=PropertySimple[id=0, name=name, value=messaging-group, override=null], interface=PropertySimple[id=0, name=interface, value=null, override=null], port:expr=PropertySimple[id=0, name=port:expr, value=null, override=null], fixed-port=PropertySimple[id=0, name=fixed-port, value=false, override=null], multicast-address=PropertySimple[id=0, name=multicast-address, value=${jboss.messaging.group.address:231.7.7.7}, override=null], multicast-port:expr=PropertySimple[id=0, name=multicast-port:expr, value=${jboss.messaging.group.port:9876}, override=null]}].]}
Comment 1 Heiko W. Rupp 2012-04-20 09:44:15 EDT
port is optional when mc-port is set 

master e2bd7a9
Comment 3 Heiko W. Rupp 2013-09-01 06:01:01 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.